#ifndef _kopmlet_h_
#define _komplet_h_
#include "promniz.h"
#include "delo.h"
#include "knjiga.h"
#include "disk.h"

class Komplet : public Delo {
	PromNiz<Delo *, 1> dela;
	void pisi(ostream& it);
public:
	Komplet(const char* autor, const char* naslov) :
			Delo(autor, naslov, ' '),
			dela(5) {}

	Komplet(const Komplet& k) :
			Delo(k.getAutor(),
			k.getNaslov(),
			k.getVrsta()),
			dela(k.dela.getKap()) {
		for (int i = 0; i < k.dela.getBrPod(); dela += k.dela[i++]);			
	}
	double getDebljina() const;
	Komplet* kopija() const { return new Komplet(*this); }
	Komplet& operator += (Delo* d);
};
#endif
